/*******************************************************************************
 * Copyright (c) 2012 BestSolution.at and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tom Schindl<tom.schindl@bestsolution.at> - initial API and implementation
 *******************************************************************************/
package org.eclipse.fx.formats.svg.svg;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Core Attributes</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getId <em>Id</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__base <em>Xml base</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__lang <em>Xml lang</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__space <em>Xml space</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getCoreAttributes()
 * @model interface="true" abstract="true"
 * @generated
 */
public interface CoreAttributes extends EObject {
	/**
	 * Returns the value of the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Id</em>' attribute.
	 * @see #setId(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getCoreAttributes_Id()
	 * @model
	 * @generated
	 */
	String getId();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getId <em>Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Id</em>' attribute.
	 * @see #getId()
	 * @generated
	 */
	void setId(String value);

	/**
	 * Returns the value of the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xml base</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xml base</em>' attribute.
	 * @see #setXml__base(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getCoreAttributes_Xml__base()
	 * @model
	 * @generated
	 */
	String getXml__base();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__base <em>Xml base</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xml base</em>' attribute.
	 * @see #getXml__base()
	 * @generated
	 */
	void setXml__base(String value);

	/**
	 * Returns the value of the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xml lang</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xml lang</em>' attribute.
	 * @see #setXml__lang(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getCoreAttributes_Xml__lang()
	 * @model
	 * @generated
	 */
	String getXml__lang();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__lang <em>Xml lang</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xml lang</em>' attribute.
	 * @see #getXml__lang()
	 * @generated
	 */
	void setXml__lang(String value);

	/**
	 * Returns the value of the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xml space</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xml space</em>' attribute.
	 * @see #setXml__space(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getCoreAttributes_Xml__space()
	 * @model
	 * @generated
	 */
	String getXml__space();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__space <em>Xml space</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xml space</em>' attribute.
	 * @see #getXml__space()
	 * @generated
	 */
	void setXml__space(String value);

} // CoreAttributes
